org.apache.cxf.staxutils.transform

## Class DelegatingNamespaceContext

- java.lang.Object
- - org.apache.cxf.staxutils.transform.DelegatingNamespaceContext

- All Implemented Interfaces:
    NamespaceContext

      public class DelegatingNamespaceContext
      extends Object
      implements NamespaceContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingNamespaceContext(NamespaceContext nc, Map<String,String> nsMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPrefix(String prefix, String ns)`
    `void` | `down()`
    `String` | `findUniquePrefix(String ns)`
    `String` | `getNamespaceURI(String prefix)`
    `String` | `getPrefix(String ns)`
    `Iterator<String>` | `getPrefixes(String ns)`
    `void` | `up()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingNamespaceContext

          public DelegatingNamespaceContext(NamespaceContext nc,
                                            Map<String,String> nsMap)

  - ### Method Detail

    - #### down

          public void down()

    - #### up

          public void up()

    - #### addPrefix

          public void addPrefix(String prefix,
                                String ns)

    - #### findUniquePrefix

          public String findUniquePrefix(String ns)

    - #### getNamespaceURI

          public String getNamespaceURI(String prefix)

      Specified by:
        `getNamespaceURI` in interface `NamespaceContext`

    - #### getPrefix

          public String getPrefix(String ns)

      Specified by:
        `getPrefix` in interface `NamespaceContext`

    - #### getPrefixes

          public Iterator<String> getPrefixes(String ns)

      Specified by:
        `getPrefixes` in interface `NamespaceContext`

Apache CXF